Skip to main content
GET
/
{tenant_slug}
/
repositories
/
{repo}
Get repository
curl --request GET \
  --url https://app.cysmiq.com/api/v1/{tenant_slug}/repositories/{repo} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.cysmiq.com/api/v1/{tenant_slug}/repositories/{repo}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/repositories/{repo}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{ "id": "<string>", "name": "<string>", "full_name": "<string>", "source": "<string>", "is_private": true, "is_archived": true, "is_monorepo": true, "is_enabled": true, "scan_state": "<string>", "external_id": "<string>", "org": { "id": "<string>", "name": "<string>", "full_path": "<string>" }, "default_branch": { "ref": "<string>", "sha": "<string>" }, "created_at": "<string>", "updated_at": "<string>" }

Authorizations

Authorization
string
header
required

Use a Cysmiq API token in the Authorization header: Bearer {token}.

Path Parameters

repo
string
required

Repository prefixed id (repo_...) or org/name path.

Response

Repository detail response.

id
string
required
name
string | null
required
full_name
string | null
required
source
string | null
required
is_private
boolean
required
is_archived
boolean
required
is_monorepo
boolean
required
is_enabled
boolean
required
scan_state
required
external_id
string | null
required
org
object | null
required
default_branch
object | null
required
created_at
string
required
updated_at
string
required